program localsave

  implicit none
  logical :: firstcall

  firstcall = .true.
  call dumb
  firstcall = .false.
  call dumb
  
  contains

  subroutine dumb

  integer :: j

  if (.not. firstcall) print*, '### top of dumb: j = ',j 
  j = 1000000000
  print*, '### bottom of dumb: j = ',j 

  end subroutine dumb

end program localsave
